Module java.base
Package java.util

## Class EmptyStackException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.util.EmptyStackException

- All Implemented Interfaces:
    `Serializable`

      public class EmptyStackException
      extends RuntimeException

  Thrown by methods in the `Stack` class to indicate that the stack is empty.
  Since:
    1.0
  See Also:
    `Stack`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EmptyStackException()` | Constructs a new `EmptyStackException` with `null` as its error message string.

  - ### Method Summary

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EmptyStackException

          public EmptyStackException()

      Constructs a new `EmptyStackException` with `null` as its error message string.